> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Check payroll configs

> Returns all Check payroll configurations for the given business.



## OpenAPI

````yaml get /v1/businesses/{businessId}/payroll/check/configs
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/payroll/check/configs:
    get:
      tags: []
      summary: List Check payroll configs
      description: Returns all Check payroll configurations for the given business.
      operationId: business.payroll.check.configs.get
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business.
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json.
          schema:
            type: string
      responses:
        '200':
          description: A list of Check payroll configs for the business.
          headers: {}
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ApiCheckPayrollConfig'
      deprecated: false
components:
  schemas:
    ApiCheckPayrollConfig:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The UUID of the Check payroll config.
        business_id:
          type: string
          format: uuid
          description: The UUID of the business this config belongs to.
        check_company_id:
          type: string
          description: The Check company ID associated with this config.
      required:
        - id
        - business_id
        - check_company_id
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````